Setting tag nodemanager-1.8-39
[nodemanager.git] / nm.init
diff --git a/nm.init b/nm.init
index ff6b000..eda0f11 100755 (executable)
--- a/nm.init
+++ b/nm.init
@@ -15,16 +15,16 @@ fi
 
 nm=${NM-"python /usr/share/NodeManager/nm.py"}
 prog="Node Manager"
-restartoptions=
+options=${OPTIONS-"-d -s"}
+restartoptions=${RESTARTOPTIONS-"-d"}
 pidfile=${PIDFILE-/var/run/nm.pid}
 lockfile=${LOCKFILE-/var/lock/subsys/nm}
 RETVAL=0
 
 do_start()
 {
-    options=$1
     echo -n $"Starting $prog: "
-    daemon --check=nm $nm $options
+    daemon --check=nm $nm "$@"
     RETVAL=$?
     echo
     [ $RETVAL -eq 0 ] && touch ${lockfile}
@@ -33,7 +33,7 @@ do_start()
 
 start()
 {
-    do_start ${OPTIONS-"-d -s"}
+    do_start $options
 }
 
 stop()
@@ -48,32 +48,32 @@ stop()
 restart()
 {
     stop
-    do_start ${OPTIONS-"-d"}
+    do_start $restartoptions
 }
 
 
 case "$1" in
     start)
-       start
-       ;;
+    start
+    ;;
     stop)
-       stop
-       ;;
+    stop
+    ;;
     status)
-       status $nm
-       RETVAL=$?
-       ;;
+    status $nm
+    RETVAL=$?
+    ;;
     restart|reload)
-       restart
-       ;;
+    restart
+    ;;
     condrestart)
-       if [ -f ${pidfile} ] ; then
-           restart
-       fi
-       ;;
+    if [ -f ${pidfile} ] ; then
+        restart
+    fi
+    ;;
     *)
-       echo $"Usage: $0 {start|stop|restart|condrestart|status}"
-       exit 1
+    echo $"Usage: $0 {start|stop|restart|condrestart|status}"
+    exit 1
 esac
 
 exit 0